package me.wazup.hideandseek.commands.user;

import java.util.Iterator;
import me.wazup.hideandseek.utils.Utils;
import java.util.Collection;
import me.wazup.hideandseek.Arena;
import java.util.ArrayList;
import me.wazup.hideandseek.PlayerData;
import org.bukkit.entity.Player;
import me.wazup.hideandseek.Config;
import org.bukkit.command.CommandSender;
import me.wazup.hideandseek.Customization;
import me.wazup.hideandseek.HideAndSeek;
import me.wazup.hideandseek.commands.SubCommand;

public class AutoJoinCommand extends SubCommand
{
    public AutoJoinCommand() {
        super("hideandseek.autojoin", false, "<Arena>");
    }
    
    public boolean execute(final HideAndSeek hideAndSeek, final Customization customization, final CommandSender commandSender, final String[] array) {
        if (Config.getInstance().bungeeEnabled) {
            commandSender.sendMessage((String)customization.messages.get("unknown_command"));
            return true;
        }
        final Player player = (Player)commandSender;
        if (((PlayerData)hideAndSeek.playerData.get(player.getName())).arena != null) {
            player.sendMessage((String)customization.messages.get("already_in_game"));
            return true;
        }
        final ArrayList c = new ArrayList();
        for (final Arena arena : Arena.arenaObjects) {
            if (arena.arenaBuilt && (arena.state.equals((Object)Arena.ArenaState.WAITING) || arena.state.equals((Object)Arena.ArenaState.STARTING))) {
                if (arena.players.size() == arena.maxPlayers && !player.hasPermission("hideandseek.joinfull")) {
                    continue;
                }
                c.add(arena);
            }
        }
        if (c.isEmpty()) {
            player.sendMessage((String)hideAndSeek.customization.messages.get("no_arenas"));
            return true;
        }
        int size = 0;
        for (final Arena arena2 : c) {
            if (arena2.players.size() > size) {
                size = arena2.players.size();
            }
        }
        for (final Arena arena3 : new ArrayList(c)) {
            if (arena3.players.size() < size) {
                c.remove(arena3);
            }
        }
        player.performCommand("has join " + ((Arena)c.get(Utils.random.nextInt(c.size()))).name);
        return true;
    }
}
